<template>
  <div>
    <el-card>
      <el-form :model="filterQuery" class="query-form" size="mini" label-width="120px" :inline="true">
        <el-form-item label="当前仓库:">
          <el-input v-model="filterQuery.curInv" placeholder="请输入当前仓库名称" clearable></el-input>
        </el-form-item>
        <el-form-item>
          <el-button-group>
            <el-button type="primary" icon="el-icon-search" @click="onSubmit">查询</el-button>
            <el-button type="primary" icon="el-icon-plus" @click="addOrderMuti">新增</el-button>
          </el-button-group>
        </el-form-item>
      </el-form>
      <el-table v-loading="loading" :data="list" style="width: 100%"  border highlight-current-row>
        <el-table-column label="序号" type="index" width="60"></el-table-column>
        <el-table-column label="当前仓库" prop="invName"></el-table-column>
        <el-table-column label="生成出库单默认往来单位" prop="fromCorpName"></el-table-column>
        <el-table-column label="生成出库单默认单据类型" prop="targetActionName"></el-table-column>
        <el-table-column label="是否个人使用" prop="checkUse">
          <template slot-scope="scope">
            <span>{{ checkUseMap[scope.row.checkUse] }}</span>
          </template>
        </el-table-column>
        <el-table-column label="备注" prop="remark"></el-table-column>
        <el-table-column label="操作" width="120px">
          <template slot-scope="scope">
            <el-button type="text" size="small" @click.native="editDialog(scope.row)">编辑</el-button>
            <el-button type="text" size="small" @click.native.stop="deleteDialog(scope.row)">删除</el-button>
          </template>
        </el-table-column>
      </el-table>

      <pagination
        v-show="total>0"
        :total="total"
        :page.sync="filterQuery.page"
        :limit.sync="filterQuery.limit"
        @pagination="handleCurrentChange"

      ></pagination>
    </el-card>

    <el-dialog
      :title="formMap[formName]"
      :visible.sync="orderMutiSetVisible"
      :before-close="close"
      width="40%"
      v-if="orderMutiSetVisible"
      @close='closeDialog'
      :close-on-click-modal="false"
      :close-on-press-escape="false"
    >
      <ioOrderMutiSetDialog
        :closeDialog="closeDialog"
        :inputQuery="inputQuery"
        :formName="formName"
      ></ioOrderMutiSetDialog>
    </el-dialog>

  </div>
</template>



<script>
import ioOrderMutiSetDialog from "@/views/inout/muti/ioOrderMutiSetDialog";
import {detailMuti, filterList} from "@/api/inout/orderMuti";


export default {
  name: "ioOrderMutiSet",
  data() {
    return {
      filterQuery: {
        curInv: null,
        fromCorp: null,
        targetAction: null,
        remark: null,
        updateTime: null,
        page: 1,
        limit: 10,
      },
      inputQuery: {
        curInv: null,
        fromCorp: "",
        targetAction: null,
        remark: null,
        updateTime: null,
      },
      total: 0,
      loading: false,
      list: [],
      formName: 1,
      formMap: {
        1: "新增出库设置",
        2: "编辑出库设置",
      },
      checkUseMap: {
        1: "是",
        0: "否",
      },
      orderMutiSetVisible: false,
    };
  },
  methods: {
    onSubmit() {
      this.filterQuery.page = 1;
      this.getList();
    },
    handleCurrentChange(val) {
      this.filterQuery.page = val.page;
      this.getList();
    },
    closeDialog(){
      this.orderMutiSetVisible = false;
      this.getList();
    },
    addOrderMuti(){
      this.inputQuery={
        curInv: null,
        checkUse: null,
        fromCorp: null,
        targetAction: null,
        remark: null,
        updateTime: null,
      }
      this.formName=1;
      this.orderMutiSetVisible = true;
    },
    editDialog(row){
      this.formName=2;
      this.inputQuery=row;
      this.orderMutiSetVisible = true;
    },
    getList() {
      this.loading = true;
      filterList(this.filterQuery)
        .then((response) => {
          this.loading = false;
          this.list = response.data.list || [];
          this.total = response.data.total || 0;
        })
        .catch(() => {
          this.loading = false;
          this.list = [];
          this.total = 0;
        });
    },
    deleteDialog(row) {
      detailMuti(row)
        .then((response) => {
          if(response.code == 20000){
            this.getList()
          }else{
            this.$message.error(response.message);
          }
        })
        .catch(() => {
          this.$message.error(response.message);
        });
    },
  },
  components: {ioOrderMutiSetDialog},
  created() {
    this.getList();
  },
}
</script>

<style scoped>

</style>
